- [HTTP request](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations.instances/getCertificateAuthority#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations.instances/getCertificateAuthority#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations.instances/getCertificateAuthority#body.request_body)
- [Response body](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations.instances/getCertificateAuthority#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations.instances/getCertificateAuthority#body.CertificateAuthority.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations.instances/getCertificateAuthority#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations.instances/getCertificateAuthority#body.aspect_1)
- [ManagedCertificateAuthority](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations.instances/getCertificateAuthority#ManagedCertificateAuthority)
  - [JSON representation](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations.instances/getCertificateAuthority#ManagedCertificateAuthority.SCHEMA_REPRESENTATION)
- [CertChain](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations.instances/getCertificateAuthority#CertChain)
  - [JSON representation](https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations.instances/getCertificateAuthority#CertChain.SCHEMA_REPRESENTATION)

Gets details about the certificate authority for an Instance.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west15 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-central2 us-east1 us-east4 us-east5 us-east7 us-south1 us-west1 us-west2 us-west3 us-west4 us-west8   
`GET https://memorystore.googleapis.com/v1/{name=projects/*/locations/*/instances/*}/certificateAuthority`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the certificate authority. Format: projects/{project}/locations/{location}/instances/{instance}/certificateAuthority |

### Request body

The request body must be empty.

### Response body

A certificate authority for an instance.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "name": string, // The following is a list of mutually exclusive fields. At most one of the // fields will be set in a response: "managedServerCa": { object (`https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations.instances/getCertificateAuthority#ManagedCertificateAuthority`) } // End of mutually exclusive fields. } ``` |

| Fields ||
|---|---|
| `name` | `string` Identifier. Unique name of the certificate authority. Format: projects/{project}/locations/{location}/instances/{instance} |
| Information about the server certificate authority. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: ||
| `managedServerCa` | ``object (`https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations.instances/getCertificateAuthority#ManagedCertificateAuthority`)`` A managed server certificate authority. |
| End of mutually exclusive fields. ||

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/memorystore.read-write`
- `https://www.googleapis.com/auth/memorystore.read-only`

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `memorystore.instances.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## ManagedCertificateAuthority

A managed certificate authority.

| JSON representation |
|---|
| ``` { "caCerts": [ { object (`https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations.instances/getCertificateAuthority#CertChain`) } ] } ``` |

| Fields ||
|---|---|
| `caCerts[]` | ``object (`https://docs.cloud.google.com/memorystore/docs/valkey/reference/rest/v1/projects.locations.instances/getCertificateAuthority#CertChain`)`` PEM encoded CA certificate chains for managed server authentication. |

## CertChain

A certificate chain.

| JSON representation |
|---|
| ``` { "certificates": [ string ] } ``` |

| Fields ||
|---|---|
| `certificates[]` | `string` The certificates that form the CA chain in order of leaf to root. |